using System;
using System.Linq;

namespace Carobnjak
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] str = Console.ReadLine().Split();
            int n = int.Parse(str[0]);
            int k = int.Parse(str[1]);
            int[] a = new int[n];
            str = Console.ReadLine().Split();
            for(int i=0;i<n;i++)
            {
                a[i] = int.Parse(str[i]);
            }
            int bk = 1;
            for(int i=0;i<n;i++)
            {
                bk *= (n - i);
            }
            bk /= k;
            int[] komb = new int[bk];
            int br = 0;
            for(int l=0;l<n;l++)
            {
                for (int d = n - 1; d > 0; d--)
                {
                    if (d != l && br != n)
                    {
                        komb[br] = Math.Abs(a[l] - a[d]);
                        br++;
                    }
                }
            }
            Console.WriteLine(komb.Max());
        }
    }
}